# PerformRealTimeTinMatch

Perform real time TIN Match

`POST /tin-matches/$real-time`

**API:** Avalara 1099 & W-9 API Definition
**Tag:** TIN Matches
**API Version:** 2.0
**Base URL:** https://api.sbx.avalara.com/avalara1099
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/avalara-1099-and-w9/api/methods/TIN%20Matches/PerformRealTimeTinMatch/

## Description

Perform real time TIN Match.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Content-Type:** `application/json`

**Content-Type:** `text/json`

**Content-Type:** `application/*+json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | TIN match result (matched or rejected) | `RealTimeTinMatchResponse` |
| 400 | Bad request (e.g. invalid field values) | `ErrorResponse` |
| 401 | Authentication failed |  |
| 403 | Authorization failed (lack of permissions or product not purchased) |  |
| 429 | Usage limit exceeded (10,000 successful calls per 24 hours) | `ErrorResponse` |
| 503 | IRS Service is not available. Client should retry later. |  |

### 200 Response: `RealTimeTinMatchResponse`

| Property | Type | Required | Description |
|---|---|---|---|
| `status` | string | No | The status of the TIN match (matched or rejected). |
| `irsResponse` | object | No | The IRS response details. |

## Example Request

```bash
curl -X POST "https://api.sbx.avalara.com/avalara1099/tin-matches/$real-time" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```